"""Provides OpenRPC objects and the RPCServer class."""

__all__ = (
    "APIKeyAuth",
    "BearerAuth",
    "Components",
    "Contact",
    "ContentDescriptor",
    "Depends",
    "Error",
    "Example",
    "ExamplePairing",
    "ExternalDocumentation",
    "Info",
    "License",
    "Link",
    "Method",
    "OAuth2",
    "OAuth2Flow",
    "OAuth2FlowType",
    "OpenRPC",
    "ParamStructure",
    "RPCPermissionError",
    "RPCRouter",
    "RPCServer",
    "Reference",
    "Schema",
    "SchemaType",
    "Server",
    "ServerVariable",
    "Tag",
)

from openrpc._depends import Depends
from openrpc._objects import (
    APIKeyAuth,
    BearerAuth,
    Components,
    Contact,
    ContentDescriptor,
    Error,
    Example,
    ExamplePairing,
    ExternalDocumentation,
    Info,
    License,
    Link,
    Method,
    OAuth2,
    OAuth2Flow,
    OAuth2FlowType,
    OpenRPC,
    ParamStructure,
    Reference,
    RPCPermissionError,
    Schema,
    SchemaType,
    Server,
    ServerVariable,
    Tag,
)
from openrpc._router import RPCRouter
from openrpc._server import RPCServer
